Subject: Re: [PATCH 1/2] net: phy: Add BaseT1 auto-negotiation constants

From: Dimitri Fedrau <[email-masked]>
Date: Tue, 19 Dec 2023 10:28:37 +0100

Am Tue, Dec 19, 2023 at 12:45:01AM +0100 schrieb Andrew Lunn:
> On Mon, Dec 18, 2023 at 11:18:13PM +0100, Dimitri Fedrau wrote:
> > Added constants for advertising 100BT1 and 1000BT1 in register BASE-T1
> > auto-negotiation advertisement register [31:16] (Register 7.515)
> 
> Hi Dimitri
> 
> These two patches look good, but...
> 
> Please take a read of:
> 
> https://www.kernel.org/doc/html/latest/process/maintainer-netdev.html#netdev-faq
> 
I probably should have sent them with subject-prefix "PATCH net-next" !?

> Also, its normal to include a user for new APIs. Do you have a driver
> which will make use of this to advertisement modes?
> 
Yes, I'm currently trying to push a driver for the Marvell88Q2220
100BASE-T1/1000BASE-T1 PHY. It supports autonegotiation and with an
additional patch to function genphy_c45_baset1_an_config_aneg which is
not part of the series it is possible to set the advertised speed.
I probably should send all patches as a series including the driver ?

> Thanks
> 	Andrew

Best regards,
Dimitri